Subject: Re: [PATCH] Document `rebase.forkpoint` in rebase man page

From: Junio C Hamano <[email-masked]>
Date: Thu, 16 Sep 2021 15:47:11 -0700

[email-masked] writes:

> From: Wesley Schwengle <[email-masked]>
>
> The option exists and the rebase behaviour tricked me into thinking
> there was a bug with git. This will tell people how they can tweak the
> default behavior.

So this still does not explain what rebase behaviour tricked you
into thinking so.  That leaves the readers of "git log" frustrated,
much more than a log message based only on a simple statement of
fact, e.g.

    "git config --help" describes rebase.forkpoint as a way to give
    the default value for --[no-]forkpoint option, but "git rebase
    --help" does not mention it.  

    Help people who visits the documentation of "rebase" to find the
    variable.

or something like that.

> diff --git a/Documentation/git-rebase.txt b/Documentation/git-rebase.txt
> index 506345cb0e..8d2bee3365 100644
> --- a/Documentation/git-rebase.txt
> +++ b/Documentation/git-rebase.txt
> @@ -446,7 +446,8 @@ When --fork-point is active, 'fork_point' will be used instead of
>  ends up being empty, the <upstream> will be used as a fallback.
>  +
>  If <upstream> is given on the command line, then the default is
> -`--no-fork-point`, otherwise the default is `--fork-point`.
> +`--no-fork-point`, otherwise the default is `--fork-point`. You can override
> +this default by setting the configuration option `rebase.forkpoint` to false.

It is not wrong per-se, but sounds overly verbose and seems to give
only half an advice.  You can also set it to 'true' to override the
default --no-fork-point given when you give <upstream> on the
command line, no?  So perhaps only a single line addition (plus
downcasing "If" to "if"), i.e.

+   If `rebase.forkpoint` is set, that gives the default.  Otherwise,
    if <upstream is given on the command line, the default is ...

would be a better rewrite?

Thanks.